package com.sevattal.rabbitmq.topic;

import com.rabbitmq.client.Channel;
import com.rabbitmq.client.Connection;
import com.sevattal.rabbitmq.util.RabbitMQUtils;
import org.junit.jupiter.api.Test;

import java.io.IOException;

public class Provider1 {
    /*
     *
     * 使用工具类管理 连接和通道
     * */
    @Test
    public void testSendMessage() throws IOException {
        Connection connection = RabbitMQUtils.getConnection();
        Channel channel = connection.createChannel();
        // 声明交换机
        // 参数1：交换机名称  参数2：交换机类型
        channel.exchangeDeclare("topics","topic");//广播 一条消息多个消费者同时消费
        // 发布消息
        String routeKey = "user.save";
        channel.basicPublish("topics", routeKey, null, ("这是路由中的动态订阅模型,route key: ["+routeKey+"]").getBytes());
        RabbitMQUtils.closeConnectionAndChanel(channel,connection);
    }

}
